(****************************************)
(* ITA Office97 Style Components        *)
(* Version 1.5                          *)
(*                                      *)
(****************************************)
(* (c) 1996-98 ITA Software Labs        *)
(* All right reserved.                  *)
(*                                      *)
(****************************************)
(* Internet: aepp@vsgtu.eastsib.ru      *)
(* WWW:                                 *)
(*   http://www.ita.eastsib.ru          *)
(*   http://i-connect.ru/~ita           *)                  
(****************************************)
unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ita_Office97, ExtCtrls, ita_common, Menus, ComCtrls, StdCtrls, ColorGrd;

type
  TMainForm = class(TForm)
    dockTop: TitaDock;
    MenuBar: TitaMenuBar;
    tbStandard: TitaToolBar;
    SavePosition: TitaSavePos;
    dockLeft: TitaDock;
    dockRight: TitaDock;
    dockBottom: TitaDock;
    WindowsMenu: TitaOfficePopupMenu;
    Menusdemo1: TMenuItem;
    MenuGlyphs: TitaGlyphs;
    TBButton1: TTBButton;
    ITAMenu: TitaOfficePopupMenu;
    ProductInformation1: TMenuItem;
    N1: TMenuItem;
    About1: TMenuItem;
    TBButton3: TTBButton;
    ChildMenu: TitaOfficePopupMenu;
    item1: TMenuItem;
    N2: TMenuItem;
    Childwindow1: TMenuItem;
    TBSeparator2: TTBSeparator;
    TBColorCombo1: TTBColorCombo;
    itaAssistan: TitaAssistan;
    itaAssistanSetupDialog1: TitaAssistanSetupDialog;
    ViewMenu: TitaOfficePopupMenu;
    ToolBars1: TMenuItem;
    miTBStabdard: TMenuItem;
    Display: TShape;
    TBSeparator3: TTBSeparator;
    TBSeparator4: TTBSeparator;
    TBCombo1: TTBCombo;
    TBSeparator5: TTBSeparator;
    TBPopup4: TTBPopup;
    TBSeparator6: TTBSeparator;
    TBComboPopup1: TTBComboPopup;
    itaAssistanKind1: TitaAssistanKind;
    itaAssistanKind2: TitaAssistanKind;
    ItemsMenu: TitaOfficePopupMenu;
    Normal1: TMenuItem;
    N3: TMenuItem;
    ShortCut1: TMenuItem;
    Checked1: TMenuItem;
    N4: TMenuItem;
    Radioitem11: TMenuItem;
    Radioitem21: TMenuItem;
    N5: TMenuItem;
    Disabled1: TMenuItem;
    TBButton2: TTBButton;
    TBSeparator1: TTBSeparator;
    TBButton4: TTBButton;
    N6: TMenuItem;
    Order1: TMenuItem;
    btnOrder: TTBButton;
    ColorToolBar: TitaToolBar;
    IEToolBar: TitaToolBar;
    TBButton5: TTBButton;
    itaGlyphs1: TitaGlyphs;
    TBButton6: TTBButton;
    TBPopup6: TTBPopup;
    TBSeparator7: TTBSeparator;
    TBButton7: TTBButton;
    TBButton8: TTBButton;
    TBSeparator8: TTBSeparator;
    TBPopup7: TTBPopup;
    FoldersMenu: TitaOfficePopupMenu;
    Firstfolder1: TMenuItem;
    Secondfolder1: TMenuItem;
    Mydocunmets1: TMenuItem;
    FoldersGlyphs: TitaGlyphs;
    Panel1: TPanel;
    Label1: TLabel;
    TreeView1: TTreeView;
    itaMenuButton1: TitaMenuButton;
    tbChild: TitaMenuButton;
    itaMenuButton3: TitaMenuButton;
    itaMenuButton4: TitaMenuButton;
    itaMenuButton5: TitaMenuButton;
    N7: TMenuItem;
    OnLineRegistration1: TMenuItem;
    HomePage1: TMenuItem;
    procedure Menusdemo1Click(Sender: TObject);
    procedure ProductInformation1Click(Sender: TObject);
    procedure About1Click(Sender: TObject);
    procedure Childwindow1Click(Sender: TObject);
    procedure miTBStabdardClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure TBColorCombo1Change(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure TBCombo1ListDown(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure Checked1Click(Sender: TObject);
    procedure Radioitem11Click(Sender: TObject);
    procedure Radioitem21Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Order1Click(Sender: TObject);
    procedure HomePage1Click(Sender: TObject);
    procedure OnLineRegistration1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

uses ODMFrm, product, aboutfrm, Child,
   aswelcome, AssFrm, order, ShellAPI;

{$R *.DFM}

procedure TMainForm.Menusdemo1Click(Sender: TObject);
begin
  ODMenuForm.ShowModal;
end;

procedure TMainForm.ProductInformation1Click(Sender: TObject);
begin
  ProductInfo.ShowModal;
end;

procedure TMainForm.About1Click(Sender: TObject);
begin
  About.ShowModal;
end;

procedure TMainForm.Childwindow1Click(Sender: TObject);
var
  Child: TChildForm;
begin
  Child := TChildForm.Create(Self);
  Child.Visible := true;
end;


procedure TMainForm.miTBStabdardClick(Sender: TObject);
begin
  miTBStabdard.Checked := not miTBStabdard.Checked;
  If miTBStabdard.Checked Then
    tbStandard.ShowPanel
  else
    tbStandard.HidePanel;
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
  miTBStabdard.Checked := tbStandard.Visible;
end;

procedure TMainForm.TBColorCombo1Change(Sender: TObject);
begin
  Display.Brush.Color := TBColorCombo1.CurrentColor;
end;

procedure TMainForm.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
  CanClose := itaAssistan.MsgYesNo('Exit from program ?') = mrYes;
end;

procedure TMainForm.TBCombo1ListDown(Sender: TObject);
begin
  itaAssistan.MsgText('List down button click');
end;

const
  First: boolean = true;

procedure TMainForm.FormActivate(Sender: TObject);
begin
  If not First Then
  begin
    AsWelcomeForm.Left := (AssistanForm.Left*2 + AssistanForm.Width) div 2 -
      AsWelcomeForm.itaAssistPanel1.PtrPos;
    AsWelcomeForm.Top := AssistanForm.Top - AsWelcomeForm.Height;
    AsWelcomeForm.ShowModal;
    First := false;
  end;
end;

procedure TMainForm.Checked1Click(Sender: TObject);
begin
  Checked1.Checked := not Checked1.Checked; 
end;

procedure TMainForm.Radioitem11Click(Sender: TObject);
begin
  Radioitem11.Checked := true;
end;

procedure TMainForm.Radioitem21Click(Sender: TObject);
begin
  Radioitem21.Checked := true;
end;

procedure TMainForm.FormClose(Sender: TObject; var Action: TCloseAction);
var
  i: integer;
begin
  for i := 0 to MDIChildCount-1 do
    MDIChildren[i].Close;
end;

procedure TMainForm.Order1Click(Sender: TObject);
begin
  OrderForm.ShowModal;
end;

procedure TMainForm.HomePage1Click(Sender: TObject);
begin
// home Page
  ShellExecute(0, 'open', 'http://www.ita.eastsib.ru/office97.html', nil, nil, SW_SHOWNORMAL);
end;

procedure TMainForm.OnLineRegistration1Click(Sender: TObject);
begin
// Reg
  ShellExecute(0, 'open', 'http://www.ita.eastsib.ru/registration.html', nil, nil, SW_SHOWNORMAL);
end;

end.
